﻿using AudioToolbox;
using Foundation;

namespace VJ
{
	public class MySound
	{
		SystemSound[] _sound = new SystemSound[2];

		public MySound()
		{
			for (int i = 0; i < _sound.Length; i++)
			{
				var url = NSUrl.FromFilename("Sounds/VJ" + i + ".wav");
				_sound[i] = new SystemSound(url);
			}
		}

		public void PlaySound(int index)
		{
			_sound[index].PlaySystemSound();
		}
	}
}

